XINE(1)

NAME
xine-config - script to get information about the installed version of libxine

SYNOPSIS
xine-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags] [--plugindir] [--skindir]

DESCRIPTION

xine-config is a tool that is used to determine the compiler and linker flags that should be used to compile and link programs that use libxine. It can also be used to determine the directories where libxine expects plugins and skins. Finally, it's also used internally by the .m4 macros for GNU autoconf that are included with xine-lib.

OPTIONS
xine-config accepts the following options:

--version
    Print the currently installed version of libxine on the standard output.

--libs
    Print the linker flags that are necessary to link libxine to a program.

--cflags
    Print the compiler flags that are necessary to compile a program that uses libxine.

--plugindir
    Print the directory where libxine plugins are stored/expected.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that xine-lib was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that xine-lib was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

SEE ALSO
xine-lib(3), xine(1)

COPYRIGHT
Copyright © 2001 Siggi Langauf/the xine project, based on the man page for gtk-config, © 1998 Owen Taylor Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.